package com.yidian.yac.newscontent.template

import android.os.Parcel
import android.os.Parcelable

class TemplateItemBean(var itemType: Int, var content: String?) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readInt(),
        parcel.readString()
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeInt(itemType)
        parcel.writeString(content)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<TemplateItemBean> {
        override fun createFromParcel(parcel: Parcel): TemplateItemBean {
            return TemplateItemBean(parcel)
        }

        override fun newArray(size: Int): Array<TemplateItemBean?> {
            return arrayOfNulls(size)
        }
    }
}